Loader Connection Types¶
/api/admin/loaderconnectiontypes
Get¶
List all loader connection types¶
-
GET/api/admin/loaderconnectiontypes¶ Returns a list of all loader connection types.
GET /api/admin/loaderconnectiontypes HTTP/1.1
| Response Code | Reason |
|---|---|
| 200 | No error |
| 500 | Server errors |
The response contains a JSON array of all the connection types, each item consisting of key/value pairs containing the type of the connection, connection sequence number and supported parameters (name, type and whether it’s a required parameter for a given connection type).
The keys displayed for each loader connection are:
| Key | Description |
|---|---|
| TYPE | Connection Type |
| SEQUENCE | ID for the parameter in a given connection type |
| PARAM_NAME | Connection parameter name |
| PARAM_DISP | Connection parameter display string |
| PARAM_TYPE | Data type of parameter |
| PARAM_REQD | Compulsory setting? |
For example the returned list will contain number of elements for each connection type as follows:
{
{
"TYPE": "cobol",
"SEQUENCE": "1",
"PARAM_NAME": "DATA_DIRECTORY",
"PARAM_DISP": "Data Directory",
"PARAM_TYPE": "S",
"PARAM_REQD": "1"
},
{
"TYPE": "cobol",
"SEQUENCE": "2",
"PARAM_NAME": "DATA_EXTENSIONS",
"PARAM_DISP": "Data Extensions",
"PARAM_TYPE": "S",
"PARAM_REQD": "0"
},
{
"TYPE": "cobol",
"SEQUENCE": "3",
"PARAM_NAME": "SCHEMA_DIRECTORY",
"PARAM_DISP": "Schema Directory",
"PARAM_TYPE": "S",
"PARAM_REQD": "0"
},
{
"TYPE": "cobol",
"SEQUENCE": "4",
"PARAM_NAME": "SCHEMA_EXTENSIONS",
"PARAM_DISP": "Schema Extensions",
"PARAM_TYPE": "S",
"PARAM_REQD": "0"
}
}
The returned array shows the parameters used for a given connection type; it also shows which parameters are compulsory & which are optional for a given connection type when creating/editing a loader connection.
Different connection types (cobol, db2, odbc, oracle, etc...) require different parameters; when creating/editing a loader connection, correct parameters must be supplied for a given connection type.
For example the table below shows which parameters should be supplied when creating or editing a loader connection where connection TYPE is “cobol”:
| Parameter | Description |
|---|---|
| DATA_DIRECTORY | Compulsory parameter; it must be supplied. |
| DATA_EXTENSIONS | Optional parameter; can be omitted or set to empty. |
| SCHEMA_DIRECTORY | Optional parameter; can be omitted or set to empty. |
| SCHEMA_EXTENSIONS | Optional parameter; can be omitted or set to empty. |
When the TYPE is “hdfs_delimited”, the “nameNodeAddress” parameter is required.
List a specific loader connection¶
-
GET/api/admin/loaderconnectiontypes/(string: connectionType)¶ Returns parameters for specific loader connection type.
GET /api/admin/loaderconnectiontypes/cobol HTTP/1.1
| Response Code | Reason |
|---|---|
| 200 | No error |
| 400 | Request errors |
| 500 | Server errors |
The response will same as shown above with a number of elements returned for a given connection type. If the specified loader connection does not exist, then status code 400 will be returned.